List jobs for the authenticated organization
curl --request GET \
--url https://api.creatok.ai/v1/jobs \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.creatok.ai/v1/jobs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.creatok.ai/v1/jobs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"object": "list",
"data": [
{
"id": "<string>",
"object": "job",
"capability": "<string>",
"model": "<string>",
"status": "queued",
"input": {},
"output": {
"files": [
{
"type": "<string>",
"url": "<string>"
}
]
},
"cost": {
"amount_usd": "<string>",
"refunded_usd": "<string>"
},
"error": {
"code": "<string>",
"message": "<string>"
},
"metadata": {},
"created_at": "<string>",
"completed_at": "<string>",
"expires_at": "<string>"
}
],
"has_more": true,
"next_cursor": "<string>"
}{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"request_id": "<string>",
"param": "<string>"
}
}{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"request_id": "<string>",
"param": "<string>"
}
}{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"request_id": "<string>",
"param": "<string>"
}
}Jobs
List jobs for the authenticated organization
GET
/
jobs
List jobs for the authenticated organization
curl --request GET \
--url https://api.creatok.ai/v1/jobs \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.creatok.ai/v1/jobs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.creatok.ai/v1/jobs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"object": "list",
"data": [
{
"id": "<string>",
"object": "job",
"capability": "<string>",
"model": "<string>",
"status": "queued",
"input": {},
"output": {
"files": [
{
"type": "<string>",
"url": "<string>"
}
]
},
"cost": {
"amount_usd": "<string>",
"refunded_usd": "<string>"
},
"error": {
"code": "<string>",
"message": "<string>"
},
"metadata": {},
"created_at": "<string>",
"completed_at": "<string>",
"expires_at": "<string>"
}
],
"has_more": true,
"next_cursor": "<string>"
}{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"request_id": "<string>",
"param": "<string>"
}
}{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"request_id": "<string>",
"param": "<string>"
}
}{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"request_id": "<string>",
"param": "<string>"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Comma-separated job statuses.
Example:
"queued,running"
Required range:
x >= 1Required range:
1 <= x <= 100
